Get managed trunk
GET
/v1/ns/{nsid}/resources/trunks/{trunk}
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/trunks/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/trunks/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
trunk
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
boolean
trunk
object
trunk
string
trunk_profile
string
primary_caller_id
string
allowed_caller_ids
Array<string>
ips
Array<string>
uris
Array<string>
max_concurrent
integer
Examplegenerated
{ "success": true, "trunk": { "trunk": "example", "trunk_profile": "example", "primary_caller_id": "example", "allowed_caller_ids": [ "example" ], "ips": [ "example" ], "uris": [ "example" ], "max_concurrent": 1 }}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}